Publications

Delete a publication that is still a draft

DELETE
/api/projects/{projectId}/publications/{publicationId}

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
publicationId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
deleted*boolean
postDeleted*boolean
Example Request
curl -X DELETE 'https://postbot.example/api/projects/string/publications/string'
Example Response
{
  "deleted": true,
  "postDeleted": true
}

Was this page helpful?